Bug 204077 - LED for numlock isn't set when using numlockx
LED for numlock isn't set when using numlockx
Product: Fedora
Classification: Fedora
Component: numlockx (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-08-25 09:28 EDT by Stewart Adam
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-06 22:13:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2006-08-25 09:28:06 EDT
Description of problem:
When using numlockx, after logging into GDM I've noticed that umlock
functionality is enabled (I can use the numpad) but the LED on my keyboard for
numlock isn't lit up. If I tap the numlock key, it lights up but then I can't
use the numpad anymore.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Login
2. Look at the LED indicator
Actual results:
The 'numlock' LED isn't on

Expected results:
It should be

Additional info:
Comment 1 John Mahowald 2006-10-04 01:31:01 EDT
When you are not using numlockx, what is the number lock and LED state?
Comment 2 Stewart Adam 2006-10-04 17:00:37 EDT
It's surprisingly for the first time 'remembering' my numlock without numlockx
being installed. (I'm on FC6-dev). Is is possible that the numlock programming
toggles and not straight out enables numlock? That way, double negative thing
Comment 3 Stewart Adam 2007-06-06 22:13:02 EDT
This works in FC6 & F7 out-of-the-box, no more numlockx needed... Closing.

Note You need to log in before you can comment on or make changes to this bug.